%define ARTS_ON 0
%define freetype_ver %{get_version freetype2}
%if "%freetype_ver" == ""
%define freetype_ver %{get_version libfreetype}
%endif

%define unpack tar xvfjk

Name: kde-settings
Version: 3.5.7
Release: alt7
#
Group: Graphical desktop/KDE
Summary: The default configuration files for KDE
License: GPL
BuildArch: noarch
#
Requires: design-graphics >= 3.1.1
Requires: kde-common
Obsoletes: kde-desktoplnk, kde-design, kde-config
Conflicts: kdelibs < %version, kdebase-libs < %version
Conflicts: %name-kdm < %version %name-kdm > %version

BuildRequires: xorg-x11-utils kde-common-devel

Source0: ksysguarddrc
Source1: set-libs.tar.bz2
Source2: set-base.tar.bz2
Source3: set-arts-on.tar.bz2
Source4: set-arts-off.tar.bz2
Source5: set-kdm.tar.bz2
Source6: set-network.tar.bz2
Source7: set-multimedia.tar.bz2
Source8: set-pim.tar.bz2
Source9: set-utils.tar.bz2
Source10: set-games.tar.bz2
Source11: set-accessibility.tar.bz2
Source12: set-graphics.tar.bz2
Source13: set-artwork.tar.bz2
Source14: set-addons.tar.bz2
Source15: set-edu.tar.bz2
#
Source51: kcfg-multimedia.tar.bz2
Source52: kcfg-pim.tar.bz2
Source53: kcfg-utils.tar.bz2
Source54: kcfg-games.tar.bz2
Source55: kcfg-addons.tar.bz2
Source56: kcfg-edu.tar.bz2
Source57: kcfg-base.tar.bz2
Source58: kcfg-network.tar.bz2
Source59: kcfg-sdk.tar.bz2
Source60: kcfg-webdev.tar.bz2
Source61: kcfg-graphics.tar.bz2
#
Source110: preloadkde
Source111: desktoplnk.tar.bz2
Source112: bookmarks.tar.bz2
Source113: %name-Default-alt.kcsrc
#
Source121: settings-user.tar.bz2


%description
%name package contains the default configuration
files for the K Desktop Environment.

%package kdm
Group: Graphical desktop/KDE
Summary: The default configuration files for KDM
Requires: design-graphics >= 3.1.1
Conflicts: kdelibs < %version, kdebase-libs < %version
Conflicts: kde-settings < 3.4.0-alt0.0.0.1
Conflicts: %name < %version %name > %version
#
%description kdm
%name package contains the default configuration
files for the KDE Display Manager.

%prep
%setup -cT
# config
mkdir config
pushd config
    %unpack %SOURCE1
    %unpack %SOURCE2
%if %ARTS_ON
    %unpack %SOURCE3
%else
    %unpack %SOURCE4
%endif
    %unpack %SOURCE6
    %unpack %SOURCE7
    %unpack %SOURCE8
    %unpack %SOURCE9
    %unpack %SOURCE10
    %unpack %SOURCE11
    %unpack %SOURCE12
    %unpack %SOURCE13
    %unpack %SOURCE14
    %unpack %SOURCE15
popd
# config.kcfg
mkdir kcfg
pushd kcfg
    %unpack %SOURCE51
    %unpack %SOURCE52
    %unpack %SOURCE53
    %unpack %SOURCE54
    %unpack %SOURCE55
    %unpack %SOURCE56
    %unpack %SOURCE57
    %unpack %SOURCE58
    %unpack %SOURCE59
    %unpack %SOURCE60
    %unpack %SOURCE61
popd
mkdir kdm
pushd kdm
    %unpack %SOURCE5
popd
mkdir share_kde
pushd share_kde
    %unpack %SOURCE111
    %unpack %SOURCE112
    %unpack %SOURCE121
popd


%build
echo "freetype version = %freetype_ver"
%_K_if_ver_lt %freetype_ver 2.2
sed -i "s|^defaultfont=.*|defaultfont=Misc Fixed,12,-1,5,50,0,0,0,0,0|" config/set-base/konsolerc
%endif


%install
mkdir -p -m 0755 %buildroot/%_bindir
mkdir -p -m 0755 %buildroot/%_sysconfdir/X11/kdm
mkdir -p -m 0755 %buildroot/%_datadir/config/kdm
mkdir -p -m 0755 %buildroot/%_sysconfdir/kde/config
mkdir -p -m 0755 %buildroot/%_sysconfdir/kde/share/config/kdm
mkdir -p -m 0755 %buildroot/%_datadir/config.kcfg
mkdir -p -m 0755 %buildroot/%_datadir/kde
mkdir -p -m 0755 %buildroot/%_datadir/apps/kdesktop/DesktopLinks/
mkdir -p -m 0755 %buildroot/%_datadir/kde/userconfig/

# sysconfig
mkdir -p %buildroot/%_sysconfdir
install -m 0644 %SOURCE0 %buildroot/%_sysconfdir/ksysguarddrc
touch %buildroot/%_sysconfdir/lisarc

# config
for f in config/*/*
do
    cp -ar $f %buildroot/%_sysconfdir/kde/share/config
done
#pushd %buildroot/%_sysconfdir/kde/share/config
#find -type d | sed 's|^\./||' | \
#while read d
#do
#    mkdir -p %buildroot/%_sysconfdir/kde/config/$d
#done
#find -type f | sed 's|^\./||' | \
#while read f
#do
#    ln -s `relative %buildroot/%_sysconfdir/kde/share/config/$f %buildroot/%_sysconfdir/kde/config/$f` %buildroot/%_sysconfdir/kde/config/$f
#done
#popd

pushd %buildroot/%_sysconfdir/kde/
#find -type f | sed 's|^\./||' | \
#while read f
#do
#    ln -s ../share/config/$f %buildroot/%_sysconfdir/kde/config/$f
#done
#find share/config -type f | sed 's|^\./||' | \
#find share/config -type f | \
#while read f
#do
#    dir=`echo $f| sed 's|\(^.*\)/|\1|'`
#    l ../share/config/$dir/$f %buildroot/%_sysconfdir/kde/config/$f
#done
popd

# config.kcfg
for f in kcfg/*/*
do
    cp -ar $f %buildroot/%_datadir/config.kcfg/
done
# kdm
for f in kdm/*/*
do
    cp -ar $f %buildroot/%_sysconfdir/X11/kdm
done
install -m 0755 %SOURCE110 %buildroot/%_bindir/preloadkde
ln -s ../../../../%_sysconfdir/X11/kdm/kdmrc %buildroot/%_datadir/config/kdm/kdmrc
ln -s ../../../../../%_sysconfdir/X11/kdm/kdmrc %buildroot/%_sysconfdir/kde/share/config/kdm/kdmrc

install -d -m 0755 %buildroot/%_datadir/apps/kdisplay/color-schemes
install -m 0644 %SOURCE113 %buildroot/%_datadir/apps/kdisplay/color-schemes/ALT_Default.kcsrc

for f in share_kde/desktoplnk/*
do
    cp -ar $f %buildroot/%_datadir/apps/kdesktop/DesktopLinks/
done
for f in share_kde/bookmarks/*
do
    cp -ar $f %buildroot/%_datadir/kde/
done
for f in `ls -1 share_kde/settings-user/* ||:`
do
    cp -ar $f %buildroot/%_datadir/kde/userconfig/
done



%files
%ghost %config(noreplace) %_sysconfdir/lisarc
%config(noreplace) %_sysconfdir/ksysguarddrc
#%config(noreplace) %_sysconfdir/kde/config/
%dir %_sysconfdir/kde/share/
%dir %_sysconfdir/kde/share/config/
%config(noreplace) %_sysconfdir/kde/share/config/*
%config(noreplace) %_datadir/config.kcfg/*
#
%dir %_datadir/apps/kdisplay/
%dir %_datadir/apps/kdisplay/color-schemes/
%_datadir/apps/kdisplay/color-schemes/*
#
%dir %_datadir/apps/kdesktop/
%dir %_datadir/apps/kdesktop/DesktopLinks/
%_datadir/apps/kdesktop/DesktopLinks/*
%_datadir/kde/userconfig
%_datadir/kde/*bookmarks*

%files kdm
%_bindir/preloadkde
%dir %_sysconfdir/X11/kdm
%config(noreplace) %attr(0644,root,root) %_sysconfdir/X11/kdm/kdmrc
%config(noreplace) %attr(0644,root,root) %_sysconfdir/X11/kdm/backgroundrc
%config(noreplace) %attr(0755,root,root) %_sysconfdir/X11/kdm/X*
%config(noreplace) %_datadir/config/kdm

%changelog
* Mon Aug 06 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt7
- don't use xvt for default terminal application

* Fri Aug 03 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt6
- update kdmrc

* Mon Jul 30 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt5
- don't show bookmarks in k-menu
- update "menu entries format" parameter format

* Fri Jun 22 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt4
- don't exclude HDD icons on desktop
- set default windows decorations to Plastik
- set ksplash default theme to Simple

* Wed May 30 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt3
- turn on bookmarks, quickbrowser k-menu extentions by default

* Tue May 29 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt2
- show right hide button on kicker by default
- don't package /etc/kde/config

* Fri May 25 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt1
- update for 3.5.7

* Thu May 24 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt7
- fix for default icons TangoKDE

* Mon May 21 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt6
- make default icons to Tango
- make default widgets style to QtCurve

* Wed May 16 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt5
- symlink configs to old place

* Tue May 15 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt4
- use kdm internal scripts for sessreg
- move /etc/kde/config to /etc/kde/share/config

* Fri Apr 20 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt3
- set default menu icons size to default

* Wed Mar 21 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt2
- set default menu icons size to 22
- set default kio-http encoding to windows-1251
- show advanced adding bookmark dialog by default

* Fri Feb 16 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt1
- add lisarc ownership

* Wed Nov 15 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.5-alt3
- add default 127.0.0.1:631 for cups server address

* Fri Nov 10 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.5-alt2
- default konsole font name according freetype version

* Wed Nov 01 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.5-alt1
- update to KDE-3.5.5

* Tue Oct 10 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.4-alt3
- fix kcmnspluginrc permissions
- add cups defaults to localhost:631

* Fri Sep 08 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.4-alt2
- fix altlinux.desktop

* Wed Sep 06 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.4-alt1
- small update to new version

* Wed Jun 07 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.3-alt1
- small update to new version

* Thu Apr 06 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.2-alt1
- small update

* Fri Mar 24 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.1-alt1
- small update

* Fri Dec 02 2005 Sergey V Turchin <zerg at altlinux dot org> 3.5.0-alt1
- new version

* Thu Sep 29 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt7
- use color scheme for kdm from design-graphics

* Mon Sep 12 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt6
- show detailed menu entries names first

* Mon Aug 08 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt5
- fix default path to kdm user faces

* Fri Aug 05 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt4
- fix default konsole font

* Thu Jul 21 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt3
- add default accel for popup menu
- add Link for ~/Documents to ~/Desktop

* Mon Jul 18 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt2
- turn preview in konqueror off
- remove Update icon from desktop

* Fri Jul 08 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt1
- return oldstyle view for kdm
- add default local account for kmail

* Wed May 04 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt3
- set default theme to Plastik
- fix default widgets color to GTK best look

* Fri Apr 01 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt2
- update kdmrc

* Thu Mar 31 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt1
- rebuild

* Tue Jan 04 2005 ZerG <zerg@altlinux.ru> 3.3.2-alt0.0.M24
- new version

* Fri Dec 10 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt2
- don't save synaptic to session
- don't preload konqueror by default

* Thu Nov 11 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt1
- update kdmrc

* Thu Sep 30 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- new version

* Wed Aug 18 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt8
- set x-cursor theme to jimmac

* Tue Aug 17 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt7
- turn off default x-cursor theme

* Mon Jul 19 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt6
- fix update.desktop

* Thu Jul 15 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt5
- don't use artsdsp for nsplugins

* Wed Jul 14 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt4
- fix kcmartsrc

* Tue Jul 13 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt3
- set arts suspend time to 1 sec

* Wed Jul 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt2
- don't lock screen in screensaver by default

* Fri Jul 02 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- update settings
- update Desktop .desktop-s

* Wed May 26 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt5
- fix path to play_wrapper.sh

* Fri May 21 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt4
- use external player for notifing - play_wrapper.sh from sound_handler

* Wed May 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt3
- fix ksysguardrc placement

* Mon Apr 26 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt2
- AutoLineUpIcons=true for Desktop

* Wed Apr 21 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt1
- update config files

* Wed Feb 11 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- update config files for KDE 3.2

* Mon Nov 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt8
- turn saving session to KDE default setting

* Wed Oct 29 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt7
- don't save session by default
- fix alternative player name

* Fri Oct 24 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt6
- turn off artsd by default

* Mon Oct 20 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt5
- dock into panel kppp by default
- dock into panel kmix by default

* Wed Oct 15 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt4
- comment xsetroot in /etc/X11/kdm/Xsetup_0

* Fri Oct 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt3
- move /usr/share/config/* from kdenetwork

* Wed Sep 24 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt2
- default sort by thread in kmail

* Mon Sep 22 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt1
- turn on full-duplex in arts by default
- fix welcome message in kdm

* Fri Aug 01 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt1
- change URLs from /usr/share/design to /usr/share/artworks

* Thu Jul 10 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt3.sisyphus
- showing devices on desktop by default turned on

* Mon Jun 16 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt2.sisyphus
- fix klipperrc about mozilla

* Tue Jun 10 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt1.sisyphus
- new version

* Tue Mar 25 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt10.sisyphus
- add ksysguarddrc
- change from logo to clock in kdm
- change greeting string

* Wed Feb 26 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt9.sisyphus
- different backgrounds for desktops 1 2 3 and 4

* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt8.sisyphus
- fix spec

* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt7.sisyphus
- turn off desktop devices

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6.sisyphus
- build for sisyphus

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6.master
- distributable-depended theme in ksplashml
- build for master

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt5
- ars default default trought oss

* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt4
- update settings
- add kdeprintrc from kdelibs

* Thu Jan 16 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- update settings
- move kdmrc to /etc/X11/kdm

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- fix path to kdm-logo

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- Initial revision.
